Index index by Group index by Distribution index by Vendor index by creation date index by Name Mirrors Help Search

libirrecord0-0.10.1-8.2 RPM for aarch64

From OpenSuSE Ports Tumbleweed for aarch64

Name: libirrecord0 Distribution: openSUSE Tumbleweed
Version: 0.10.1 Vendor: openSUSE
Release: 8.2 Build date: Thu Jun 16 10:04:32 2022
Group: Hardware/Other Build host: obs-arm-7
Size: 67604 Source RPM: lirc-0.10.1-8.2.src.rpm
Packager: http://bugs.opensuse.org
Url: http://www.lirc.org/
Summary: LIRC record library
The LIRC record library. To actually use the lirc plugins.

Provides

Requires

License

GPL-2.0-or-later

Changelog

* Sun May 08 2022 Ben Greiner <code@bnavigator.de>
  - Add lirc-autoconf-py310.patch: Output of autoreconf in order to
    find the correct python version when Tumbleweed switches to
    Python 3.10.
* Wed Nov 24 2021 Matej Cepl <mcepl@suse.com>
  - Add pyyaml-60-compatibility.patch to make the package
    compatible with PyYAML 6.0+ (sht#lirc#365).
* Sat Nov 13 2021 ldreier@vodafonemail.de
  - allow input device access in lircd.service file again. Changed:
    * harden_lircd.service.patch
* Tue Oct 05 2021 Dominique Leuenberger <dimstar@opensuse.org>
  - Revert "Require typelib packages": better to have rpm auto-detect
    them.
  - Add gobject-introspection BuildRequires to have the typelib dep
    scanner on board.
* Tue Oct 05 2021 Johannes Segitz <jsegitz@suse.com>
  - Added hardening to systemd service(s) (bsc#1181400). Added patch(es):
    * harden_irexec.service.patch
    * harden_lircd-uinput.service.patch
    * harden_lircd.service.patch
    * harden_lircmd.service.patch
* Sun Aug 08 2021 Stanislav Brabec <sbrabec@suse.com>
  - Require typelib packages, otherwise lirc-setup fails to start.
* Sat Feb 20 2021 Dirk Müller <dmueller@suse.com>
  - switch away from the libusb-compat (0.1) to the maintained libusb 1.0
    (lirc has support for both)
* Sat Dec 26 2020 d_werner@gmx.net
  - change the legacy directory /var/run to /run as requested by the
    Additional rpm output: "please update the tmpfiles.d/ drop-in file"
    and also the _rundir
* Wed Nov 20 2019 Stefan Brüns <stefan.bruens@rwth-aachen.de>
  - Use python3-base BuildRequires instead of full python3
  - Drop doxygen BuildRequires, the api-docs are bundled in the
    source tarball and not regenerated, and are not even packaged.
  - Move the portaudio based IR receiver driver behind a bcond - the
    alsa based driver does the same, uses less resources, and does
    not need an extra library.
* Sun Nov 18 2018 Bernhard Wiedemann <bwiedemann@suse.com>
  - Add reproducible.patch to drop build date, kernel version,
    sort python glob to make build reproducible (boo#1047218, boo#1101107)

Files

/usr/lib64/libirrecord.so.0
/usr/lib64/libirrecord.so.0.0.0


Generated by rpm2html 1.8.1

Fabrice Bellet, Tue Aug 9 11:06:05 2022